Update Polish translation

2022-01-22 16:47 - Robert Korulczyk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Description

Follow up for #33361.

Also, I would appreciate it if you don't change order of translations. In #33361 I intentionally restored order from en.yml, and while it

makes this initial diff quite big, it also simplifies translation process, since I can compare translations with English strings side by side

(example).

Associated revisions

Revision 21449 - 2022-03-07 10:48 - Go MAEDA

Reorder keys in pl.yml to the same order with en.yml (#36493).

Patch by Robert Korulczyk.

Revision 21450 - 2022-03-07 10:49 - Go MAEDA

Polish translation update (#36493).

Patch by Robert Korulczyk.

History

#1 - 2022-02-12 23:48 - Robert Korulczyk

- File pl.patch added

- File pl.yml added

Updated translations after r21395.

#2 - 2022-02-20 08:56 - Go MAEDA

Robert Korulczyk wrote:

Also, I would appreciate it if you don't change order of translations.

 Can you split the patch into two patches? The first patch just changes the order of labels and the second patch updates translations. This makes it

easier to track changes in the repository.

#3 - 2022-02-20 12:47 - Robert Korulczyk

- File pl-step1.patch added

- File pl-step1.yml added

- File pl-step2.patch added

- File pl-step2.yml added

Go MAEDA wrote:

Can you split the patch into two patches? The first patch just changes the order of labels and the second patch updates translations. This makes

it easier to track changes in the repository.

 Done.

#4 - 2022-02-21 13:51 - Go MAEDA
Thank you for posting the new patches but I found some reordering also in pl-step2.patch. I will try to update the patches.

#5 - 2022-02-21 14:07 - Robert Korulczyk

Go MAEDA wrote:

Thank you for posting the new patches but I found some reordering also in pl-step2.patch. I will try to update the patches.

 These are new untranslated phrases moved to correct place. If you revert reordering, they will be a problem for future translations, since order of

phrases will not match original from en.yml.

I based step1 on original patch from #33361 with new phrases added since then (which are added at the end). If such reordering is a problem, then

maybe rake locales:update would be able to respect order from en.yml?

#6 - 2022-03-07 10:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the translations. Thank you for your contribution.

#7 - 2022-10-21 16:02 - Marcin Szewczyk

There is a serious mistake in the translation - uppercase boolean values are inverted!

  general_text_No: 'Tak'

  general_text_Yes: 'Nie'

  general_text_no: 'nie'

  general_text_yes: 'tak'

 Should be:

  general_text_No: 'Nie'

  general_text_Yes: 'Tak'

  general_text_no: 'nie'

  general_text_yes: 'tak'

 Problem introduced in r21449.

#8 - 2022-10-21 17:17 - Robert Korulczyk

- File pl.patch added

- Status changed from Closed to Reopened

Marcin Szewczyk wrote:

There is a serious mistake in the translation - uppercase boolean values are inverted!

[...]

Should be:

[...]

Problem introduced in r21449.

 Sorry about that. I'm attaching a patch to fix this regression.

#9 - 2022-10-22 08:59 - Go MAEDA

- Status changed from Reopened to Closed

Marcin Szewczyk wrote:

There is a serious mistake in the translation - uppercase boolean values are inverted!

[...]

Should be:

[...]
Problem introduced in r21449.

 I have opened a new issue #37812 for this. Thank you for reporting.

Files

pl.yml 71.8 KB 2022-01-22 Robert Korulczyk

pl.patch 129 KB 2022-01-22 Robert Korulczyk

pl.yml 72.1 KB 2022-02-12 Robert Korulczyk

pl.patch 130 KB 2022-02-12 Robert Korulczyk

pl-step1.patch 116 KB 2022-02-20 Robert Korulczyk

pl-step1.yml 72.1 KB 2022-02-20 Robert Korulczyk

pl-step2.yml 72.1 KB 2022-02-20 Robert Korulczyk

pl-step2.patch 29.9 KB 2022-02-20 Robert Korulczyk

pl.patch 451 Bytes 2022-10-21 Robert Korulczyk
